Store APIsOrders
Get order
Retrieves an order by ID. Requires the ORDERS_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48orderId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/orders/stringstring"{ "ok": true, "data": { "id": "ord_p2v8q1mzj0kxw5h7n4tr3bcf", "orderNumber": "cs_abcdef0123456789", "status": "COMPLETED", "amount": 2900, "currency": "USD", "discounted": false, "discountCode": null, "customer": { "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "email": "buyer@example.com" }, "payment": { "id": "pmt_5h7n4tr3bcfp2v8q1mzj0kxw", "referenceId": "pi_3OXxxxxx0123456789ABCDEF", "amount": 2900, "discountAmount": 0, "platformFeeAmount": 191, "pspFeeAmount": 114, "taxAmount": 20, "totalAmount": 2920, "settledAmount": 2615, "presentmentCurrency": null, "presentmentAmount": null, "exchangeRate": null, "status": "COMPLETED", "pspProvider": "MULTI_PSP", "paymentMethod": { "type": "card", "cardBrand": "visa", "cardLastFour": "4242" }, "couponCode": null, "taxId": null, "createdAt": "2026-05-14T12:34:56.000Z" }, "createdAt": "2026-05-14T12:34:56.000Z", "presentmentCurrency": null, "presentmentAmount": null, "exchangeRate": null, "customFields": null, "metadata": null, "returnUrl": null, "items": [ { "id": "itm_3bcfp2v8q1mzj0kxw5h7n4tr", "productId": "prd_8h4t6sqzy3x9w5n2k1m0vqbf", "variantId": null, "name": "Pro Plan", "quantity": 1, "price": 2900 } ], "billingAddress": { "id": "badr_w5h7n4tr3bcfp2v8q1mzj0kx", "addressLine1": "1 Market St", "addressLine2": null, "city": "San Francisco", "state": "CA", "postalCode": "94105", "country": "US" }, "licenses": [], "updatedAt": "2026-05-14T12:35:10.000Z" }}